## pristine-tar 1.38

=== debian/changelog ===
pristine-tar (1.38) unstable; urgency=medium

  * Automatic refactor of the code to make it more modern
  * d/control: use debhelper 10
  * Handle files prefixed with '-' in tarballs (Closes: #851286)
  * Document --verify (Closes: #851955)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 25 Jan 2017 20:29:42 +0100

pristine-tar (1.37) unstable; urgency=medium

  * Fix another regression for 2.0 xdelta version in pristine-tar

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 27 Aug 2016 17:39:00 +0200

pristine-tar (1.36) unstable; urgency=medium

  * Fix regression by passing --pristine to xdelta (Closes: #835586)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 27 Aug 2016 13:26:58 +0200

pristine-tar (1.35) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Add `pristine-tar verify` to the usage message
  * pristine-tar.spec: RPM packaging improvements to make pristine-tar easily
    buildable in openSUSE, Fedora and CentOS. Patch by Markus Lehtonen
    (Closes: #807597)
  * Add bash completion script
    - I had this local bash completing script laying around in my $HOME for
      years, but I have no idea whether I wrote it or if I got it from the
      internet. If you wrote it, please get in touch with me so that I can
      add the proper credits to the source code.
  * autopkgtest: run all tests with both PRISTINE_ALL_XDELTA=xdelta and
    PRISTINE_ALL_XDELTA=xdelta3.

  [ Tomasz Buchert ]
  * pristine-tar is now able to reproduce xz files compressed with
    multithreading; however, this requires xz >= 5.2.0 (Closes: #829248)
  * Minor bugfixes (Closes: #798641)
  * Add support for using xdelta3 (Closes: #737499)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 25 Aug 2016 14:45:27 -0300

pristine-tar (1.35~0) experimental; urgency=medium

  * pristine-tar now stores a tarball hash in the delta file (Closes: #608406)
    - added a new command (`pristine-tar verify`) to verify whether existing
      tarballs match the one that was committed. this is also backwards
      compatible with previously-existing delta files; if the hash is missing,
      the existing tarball will be compared to one actually committed to
      version control by first extracting to a temporary directory.
    - `pristine-tar checkout` will now not overwrite exiting tarballs that
      match the stored hash.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 08 Jul 2016 14:06:52 +0200

=== debian/control ===
Source: pristine-tar
Maintainer: Antonio Terceiro <terceiro@debian.org>
Uploaders: Tomasz Buchert <tomasz@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.9.0),
               git,
               perl,
               shunit2,
               xdelta,
               xdelta3,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pristine-tar.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pristine-tar.git
Homepage: http://kitenet.net/~joey/code/pristine-tar/

Package: pristine-tar
Architecture: any
Depends: tar (>= 1.27-3),
         xdelta,
         xdelta3,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: bzip2, pbzip2, xz-utils
Description: regenerate pristine tarballs
 pristine-tar can regenerate a pristine upstream tarball using only a small
 binary delta file and a revision control checkout of the upstream branch.
 .
 The package also includes a pristine-gz command, which can regenerate a
 pristine .gz file, a pristine-bz2 for .bz2 files, and a pristine-xz for .xz
 files.
 .
 The delta file is designed to be checked into revision control along-side
 the upstream branch, thus allowing Debian packages to be built entirely
 using sources in revision control, without the need to keep copies of
 upstream tarballs.

=== debian/tests/control ===
Tests: xdelta xdelta3
Depends: @, shunit2, git
Restrictions: needs-recommends

## pristine-tar 1.41

=== debian/changelog ===
pristine-tar (1.41) unstable; urgency=medium

  [ Tomasz Buchert ]
  * Temporary fix for #871938: try all variants in pristine-gz
  * Fix file checking (by Chris Lamb, closes: #867545)

  [ Chris Lamb ]
  * Support storing and retrieval of upstream signatures. (Closes: #871809)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 30 Aug 2017 00:45:02 +0200

pristine-tar (1.40) unstable; urgency=medium

  [ Tomasz Buchert ]
  * pristine-tar: better file input checks (Closes: #867545)

  [ Len Sorensen ]
  * Try --gnu all the time and fix current rsyncable (Closes: #805488)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 19 Jul 2017 08:29:36 +0200

pristine-tar (1.39) unstable; urgency=medium

  * Use xdelta3 by default
  * Show "pristine-tar list" items in natural order (Closes: #841526).
  * Bump Standards-Version to 4.0.0  (no change needed)
  * Make myself the main maintainer

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 02 Jul 2017 11:29:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: pristine-tar
-Maintainer: Antonio Terceiro <terceiro@debian.org>
-Uploaders: Tomasz Buchert <tomasz@debian.org>
+Maintainer: Tomasz Buchert <tomasz@debian.org>
+Uploaders: Antonio Terceiro <terceiro@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 10),
@@ -11,7 +11,7 @@
                xdelta,
                xdelta3,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pristine-tar.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/
@@ -37,3 +37,6 @@
  the upstream branch, thus allowing Debian packages to be built entirely
  using sources in revision control, without the need to keep copies of
  upstream tarballs.
+ .
+ An optional upstream signature may be attached to tarballs for verification
+ by, for example, dpkg-source(1).

## pristine-tar 1.42

=== debian/changelog ===
pristine-tar (1.42) unstable; urgency=medium

  [ Antonio Terceiro ]
  * pristine-tar: add support for recompressing tarballs as an alternative
    when we can't regenerate the original tarball. The recompressed tarball is
    not identical to the "real" original, but the contents will be the same.
    This makes it possible to work with most, it not all, of the tarballs that
    we currently would fail to reproduce.
  * Add `run` script to run programs from a source tree/git checkout.
  * pristine-tar: read command-line options from $PRISTINE_TAR
  * Recommend a version of xz-utils that has --robot (Closes: #705730)
  * pristine-*: improve manpages
  * pristine-*: implement --help
  * pristine-*: improve usage output
  * Add bug-report preamble for reportbug
  * zgz: fix typo in manpage
  * Use external test case repository as regression test suite
  * Bump Standards-Version to 4.1.1; no changes needed

  [ Edward Betts ]
  * correct spelling mistakes

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 08 Oct 2017 09:49:40 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                xdelta,
                xdelta3,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pristine-tar.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/
@@ -24,7 +24,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: bzip2, pbzip2, xz-utils
+Recommends: bzip2, pbzip2, xz-utils (>= 5.0)
 Description: regenerate pristine tarballs
  pristine-tar can regenerate a pristine upstream tarball using only a small
  binary delta file and a revision control checkout of the upstream branch.

=== debian/tests/control ===
Tests: xdelta xdelta3 regression-tests
Depends: @, shunit2, git, moreutils
Restrictions: needs-recommends

## pristine-tar 1.44

=== debian/changelog ===
pristine-tar (1.44) unstable; urgency=medium

  * Try making tar reproduce broken behaviour with --numeric-owner
    Closes: #897249, #897421

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 16 May 2018 12:13:49 -0300

pristine-tar (1.43) unstable; urgency=medium

  [ Tomasz Buchert ]
  * d/control: update vcs links to salsa
  * fix insecure-copyright-format-uri
  * switch to dh compat 11

  [ Luca Boccassi ]
  * pristine-xz: also try -T6 (Closes: #869191)

  [ Antonio Terceiro ]
  * Bump Standards-Version to 4.1.4; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 14 May 2018 09:58:30 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Antonio Terceiro <terceiro@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.9.0),
                git,
                perl,
@@ -11,9 +11,9 @@
                xdelta,
                xdelta3,
                zlib1g-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pristine-tar.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pristine-tar.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/pristine-tar
+Vcs-Git: https://salsa.debian.org/debian/pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/
 
 Package: pristine-tar

## pristine-tar 1.46

=== debian/changelog ===
pristine-tar (1.46) unstable; urgency=medium

  * refresh packaging (debhelper 12, std-ver 4.3.0)
  * unquote filenames properly (closes: #902115)
  * drop dpkg-dev from dependencies

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 23 Jan 2019 23:24:06 +0100

pristine-tar (1.45) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Move to pluggable delta tools
  * debian/tests/regression-tests: point to salsa for regression test suite

  [ Mikhail Gusarov ]
  * Honor value of $tar_program
  * Allow overriding 'zcat' per-OS

  [ Markus Lehtonen ]
  * spec: user xdelta v3 for rpm builds, too (Closes: #908813)

  [ Dmitry Bogatov ]
  * Several improvements to the bash completion script (Closes: #911736)
    - Remove have() function from bash-completion
    - Complete long versions of options
    - Make bash completion more robust
    - Keep bash-completion script ad 80 column limit
    - Improve handling f non-completeable options
    - Implement completion for --signature-file option
    - Write tar file completion, with 'checkout' special case
    - Fix completion for 'checkout' command
    - Add completion of git refs for 'commit' subcommand

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 26 Oct 2018 18:14:27 -0300

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+pie

%:
	dh $@

override_dh_auto_configure:
	# keeps it out of /usr/local
	dh_auto_configure -- PREFIX=/usr

override_dh_auto_build:
	dh_auto_build -- $(shell dpkg-buildflags --export=cmdline)

override_dh_auto_clean:
	# distclean moans about MANIFEST, this is quieter
	if [ -e Makefile ]; then $(MAKE) realclean; fi

override_dh_makeshlibs:
	# only contains private libraries

## pristine-tar 1.46+nmu1

=== debian/changelog ===
pristine-tar (1.46+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:34:34 +0800

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Antonio Terceiro <terceiro@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dpkg-dev (>= 1.9.0),
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
                git,
                perl,
                shunit2,
                xdelta,
                xdelta3,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/pristine-tar
 Vcs-Git: https://salsa.debian.org/debian/pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/
@@ -24,7 +24,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: bzip2, pbzip2, xz-utils (>= 5.0)
+Recommends: bzip2, pbzip2, xz-utils
 Description: regenerate pristine tarballs
  pristine-tar can regenerate a pristine upstream tarball using only a small
  binary delta file and a revision control checkout of the upstream branch.

=== debian/tests/control ===
Tests: xdelta xdelta3 regression-tests
Depends: git, moreutils, shunit2, @
Restrictions: needs-recommends

## pristine-tar 1.47~bpo10+1

=== pit/suse-bzip2/Makefile ===
# ------------------------------------------------------------------
# This file is part of bzip2/libbzip2, a program and library for
# lossless, block-sorting data compression.
#
# bzip2/libbzip2 version 1.0.6 of 6 September 2010
# Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org>
#
# Please read the WARNING, DISCLAIMER and PATENTS sections in the 
# README file.
#
# This program is released under the terms of the license contained
# in the file LICENSE.
# ------------------------------------------------------------------

somajor=1.0
sominor=$(somajor).4
SHELL=/bin/sh

# Determine the operating system name to decide whether to build a
# shared object library libbz2.so or a dynamic library libbz2.dylib.
UNAME_S := $(shell uname -s)

# To assist in cross-compiling
CC=gcc
AR=ar
RANLIB=ranlib
LDFLAGS=

BIGFILES=-D_FILE_OFFSET_BITS=64
CFLAGS=-Wall -Winline -O2 -g $(BIGFILES) $(DEBCFLAGS)

# Where you want it installed when you do 'make install'
PREFIX=/usr/local


OBJS= blocksort.o  \
      huffman.o    \
      crctable.o   \
      randtable.o  \
      compress.o   \
      decompress.o \
      bzlib.o

all: libbz2.a bzip2

ifeq ("$(UNAME_S)","Darwin")
soext=dylib
soext_major=$(somajor).$(soext)
soext_minor=$(sominor).$(soext)
LDDLFLAGS=-dynamiclib \
          -Wl,-headerpad_max_install_names,-undefined,dynamic_lookup,-compatibility_version,$(somajor),-current_version,$(sominor),-install_name,$(PREFIX)/lib/pristine-tar/suse-bzip2/libbz2.$(soext_minor)
else
soext=so
soext_major=$(soext).$(somajor)
soext_minor=$(soext).$(sominor)
LDDLFLAGS=-shared -Wl,-soname,libbz2.$(soext_major)
endif

LDDLFLAGS += $(patsubst -fPIE -pie,,$(LDFLAGS))

bzip2: libbz2.$(soext) bzip2.o
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o bzip2 bzip2.o -L. -lbz2

bzip2recover: bzip2recover.o
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o bzip2recover bzip2recover.o

libbz2.a: $(OBJS)
	rm -f libbz2.a
	$(AR) cq libbz2.a $(OBJS)
	@if ( test -f $(RANLIB) || test -f /usr/bin/ranlib || \
		test -f /bin/ranlib || test -f /usr/ccs/bin/ranlib ) ; then \
		echo $(RANLIB) libbz2.a ; \
		$(RANLIB) libbz2.a ; \
	fi

libbz2.$(soext): libbz2.$(soext_major)
	ln -sf $< $@

libbz2.$(soext_major): libbz2.$(soext_minor)
	ln -sf $< $@

libbz2.$(soext_minor): $(OBJS:%.o=%.sho)
	$(CC)  $(LDDLFLAGS) -o $@ $^ -lc

%.sho: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -D_REENTRANT -fPIC -o $@ -c $<

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -D_REENTRANT -o $@ -c $<

check: test

ifeq ("${UNAME_S}", "Darwin")
# On Mac OS X, $DYLD_LIBRARY_PATH needs to be set to test libbz2.dylib.
LD_PATH_VAR=DYLD_LIBRARY_PATH
else
# On all other (Unix-like) systems, set $LD_LIBRARY_PATH to test libbz2.so.
LD_PATH_VAR=LD_LIBRARY_PATH
endif

test: bzip2
	@cat words1
	$(LD_PATH_VAR)=.:$$$(LD_PATH_VAR) \
	./bzip2 -1  < sample1.ref > sample1.rb2
	$(LD_PATH_VAR)=.:$$$(LD_PATH_VAR) \
	./bzip2 -2  < sample2.ref > sample2.rb2
	$(LD_PATH_VAR)=.:$$$(LD_PATH_VAR) \
	./bzip2 -3  < sample3.ref > sample3.rb2
	$(LD_PATH_VAR)=.:$$$(LD_PATH_VAR) \
	./bzip2 -d  < sample1.bz2 > sample1.tst
	$(LD_PATH_VAR)=.:$$$(LD_PATH_VAR) \
	./bzip2 -d  < sample2.bz2 > sample2.tst
	$(LD_PATH_VAR)=.:$$$(LD_PATH_VAR) \
	./bzip2 -ds < sample3.bz2 > sample3.tst
	cmp sample1.bz2 sample1.rb2 
	cmp sample2.bz2 sample2.rb2
	cmp sample3.bz2 sample3.rb2
	cmp sample1.tst sample1.ref
	cmp sample2.tst sample2.ref
	cmp sample3.tst sample3.ref
	@cat words3

install: bzip2 bzip2recover libbz2.a
	if ( test ! -d $(PREFIX)/bin ) ; then mkdir -p $(PREFIX)/bin ; fi
	if ( test ! -d $(PREFIX)/lib ) ; then mkdir -p $(PREFIX)/lib ; fi
	if ( test ! -d $(PREFIX)/man ) ; then mkdir -p $(PREFIX)/man ; fi
	if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir -p $(PREFIX)/man/man1 ; fi
	if ( test ! -d $(PREFIX)/include ) ; then mkdir -p $(PREFIX)/include ; fi
	cp -f bzip2 $(PREFIX)/bin/bzip2
	ln $(PREFIX)/bin/bzip2 $(PREFIX)/bin/bunzip2
	ln $(PREFIX)/bin/bzip2 $(PREFIX)/bin/bzcat
	cp -f bzip2recover $(PREFIX)/bin/bzip2recover
	chmod a+x $(PREFIX)/bin/bzip2
	chmod a+x $(PREFIX)/bin/bunzip2
	chmod a+x $(PREFIX)/bin/bzcat
	chmod a+x $(PREFIX)/bin/bzip2recover
	cp -f bzip2.1 $(PREFIX)/man/man1
	chmod a+r $(PREFIX)/man/man1/bzip2.1
	cp -f bzlib.h $(PREFIX)/include
	chmod a+r $(PREFIX)/include/bzlib.h
	cp -fa libbz2.a libbz2.so* $(PREFIX)/lib
	chmod a+r $(PREFIX)/lib/libbz2.a
	cp -f bzexe $(PREFIX)/bin/bzexe
	chmod a+x $(PREFIX)/bin/bzexe
	cp -f bzgrep $(PREFIX)/bin/bzgrep
	ln -s -f $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzegrep
	ln -s -f $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzfgrep
	chmod a+x $(PREFIX)/bin/bzgrep
	cp -f bzmore $(PREFIX)/bin/bzmore
	ln -s -f $(PREFIX)/bin/bzmore $(PREFIX)/bin/bzless
	chmod a+x $(PREFIX)/bin/bzmore
	cp -f bzdiff $(PREFIX)/bin/bzdiff
	ln -s -f $(PREFIX)/bin/bzdiff $(PREFIX)/bin/bzcmp
	chmod a+x $(PREFIX)/bin/bzdiff
	cp -f bzexe.1 bzgrep.1 bzmore.1 bzdiff.1 $(PREFIX)/man/man1
	chmod a+r $(PREFIX)/man/man1/bzexe.1
	chmod a+r $(PREFIX)/man/man1/bzgrep.1
	chmod a+r $(PREFIX)/man/man1/bzmore.1
	chmod a+r $(PREFIX)/man/man1/bzdiff.1
	echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzegrep.1
	echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzfgrep.1
	echo ".so man1/bzmore.1" > $(PREFIX)/man/man1/bzless.1
	echo ".so man1/bzdiff.1" > $(PREFIX)/man/man1/bzcmp.1

clean: 
	rm -f *.o *.sho libbz2.a libbz2.so* libbz2.*.dylib \
	      bzip2 bzip2recover \
	      sample1.rb2 sample2.rb2 sample3.rb2 \
	      sample1.tst sample2.tst sample3.tst


distclean: clean
	#rm -f manual.ps manual.html manual.pdf

DISTNAME=bzip2-1.0.6
dist: check manual
	rm -f $(DISTNAME)
	ln -s -f . $(DISTNAME)
	tar cvf $(DISTNAME).tar \
	   $(DISTNAME)/blocksort.c \
	   $(DISTNAME)/huffman.c \
	   $(DISTNAME)/crctable.c \
	   $(DISTNAME)/randtable.c \
	   $(DISTNAME)/compress.c \
	   $(DISTNAME)/decompress.c \
	   $(DISTNAME)/bzlib.c \
	   $(DISTNAME)/bzip2.c \
	   $(DISTNAME)/bzip2recover.c \
	   $(DISTNAME)/bzlib.h \
	   $(DISTNAME)/bzlib_private.h \
	   $(DISTNAME)/Makefile \
	   $(DISTNAME)/LICENSE \
	   $(DISTNAME)/bzip2.1 \
	   $(DISTNAME)/bzip2.1.preformatted \
	   $(DISTNAME)/bzip2.txt \
	   $(DISTNAME)/words0 \
	   $(DISTNAME)/words1 \
	   $(DISTNAME)/words2 \
	   $(DISTNAME)/words3 \
	   $(DISTNAME)/sample1.ref \
	   $(DISTNAME)/sample2.ref \
	   $(DISTNAME)/sample3.ref \
	   $(DISTNAME)/sample1.bz2 \
	   $(DISTNAME)/sample2.bz2 \
	   $(DISTNAME)/sample3.bz2 \
	   $(DISTNAME)/dlltest.c \
	   $(DISTNAME)/manual.html \
	   $(DISTNAME)/manual.pdf \
	   $(DISTNAME)/manual.ps \
	   $(DISTNAME)/README \
	   $(DISTNAME)/README.COMPILATION.PROBLEMS \
	   $(DISTNAME)/README.XML.STUFF \
	   $(DISTNAME)/CHANGES \
	   $(DISTNAME)/libbz2.def \
	   $(DISTNAME)/libbz2.dsp \
	   $(DISTNAME)/dlltest.dsp \
	   $(DISTNAME)/makefile.msc \
	   $(DISTNAME)/unzcrash.c \
	   $(DISTNAME)/spewG.c \
	   $(DISTNAME)/mk251.c \
	   $(DISTNAME)/bzdiff \
	   $(DISTNAME)/bzdiff.1 \
	   $(DISTNAME)/bzmore \
	   $(DISTNAME)/bzmore.1 \
	   $(DISTNAME)/bzexe \
	   $(DISTNAME)/bzexe.1 \
	   $(DISTNAME)/bzgrep \
	   $(DISTNAME)/bzgrep.1 \
	   $(DISTNAME)/Makefile-libbz2_so \
	   $(DISTNAME)/bz-common.xsl \
	   $(DISTNAME)/bz-fo.xsl \
	   $(DISTNAME)/bz-html.xsl \
	   $(DISTNAME)/bzip.css \
	   $(DISTNAME)/entities.xml \
	   $(DISTNAME)/manual.xml \
	   $(DISTNAME)/format.pl \
	   $(DISTNAME)/xmlproc.sh
	gzip -v $(DISTNAME).tar

# For rebuilding the manual from sources on my SuSE 9.1 box

MANUAL_SRCS= 	bz-common.xsl bz-fo.xsl bz-html.xsl bzip.css \
		entities.xml manual.xml 

manual: manual.html manual.ps manual.pdf

manual.ps: $(MANUAL_SRCS)
	./xmlproc.sh -ps manual.xml

manual.pdf: $(MANUAL_SRCS)
	./xmlproc.sh -pdf manual.xml

manual.html: $(MANUAL_SRCS)
	./xmlproc.sh -html manual.xml

=== debian/changelog ===
pristine-tar (1.47~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Christian Kastner <ckk@debian.org>  Mon, 13 Jan 2020 13:54:28 +0100

pristine-tar (1.47) unstable; urgency=medium

  [ Tomasz Buchert ]
  * d/control: move suggested dependencies to actual dependencies
  * drop "Restrictions: needs-recommends" from tests
  * d/control: add pixz as a dependency
  * d/control: require tar >= 1.29b-1.1 (Closes: #915144)
  * d/control: bump std-ver to 4.4.1
  * d/control: set Rules-Requires-Root to no

  [ Kevin Locke ]
  * pristine-xz: Improve multi-thread detection and utilization
  * pristine-xz: Detect pixz compression (Closes: #892029, #913218)
  * pristine-xz: Check program before params
  * pristine-xz: Handle pixz tar index
  * pristine-xz: Set threads based on CPU affinity

  [ Antonio Terceiro ]
  * test.pl: fix exit status with test failures
  * pristine-tar.spec: bump version number
  * debian/control: add missing Build dependency
  * gitlab-ci: drop pipeline no stable

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 27 Oct 2019 10:23:41 +0100

## pristine-tar 1.47

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,34 @@
 Uploaders: Antonio Terceiro <terceiro@debian.org>
 Section: utils
 Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper (>= 12),
                debhelper-compat (= 12),
                git,
+               libsys-cpuaffinity-perl,
                perl,
                shunit2,
                xdelta,
                xdelta3,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/pristine-tar
 Vcs-Git: https://salsa.debian.org/debian/pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/
 
 Package: pristine-tar
 Architecture: any
-Depends: tar (>= 1.27-3),
+Depends: bzip2,
+         libsys-cpuaffinity-perl,
+         pbzip2,
+         pixz,
+         tar (>= 1.29b-1.1),
          xdelta,
          xdelta3,
+         xz-utils,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: bzip2, pbzip2, xz-utils
 Description: regenerate pristine tarballs
  pristine-tar can regenerate a pristine upstream tarball using only a small
  binary delta file and a revision control checkout of the upstream branch.

=== debian/tests/control ===
Tests: xdelta xdelta3 regression-tests
Depends: git, moreutils, shunit2, @

## pristine-tar 1.49

=== debian/changelog ===
pristine-tar (1.49) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add an extra tarball retry step without --verbatim-files-from
    (Closes: #933031)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 02 Aug 2020 10:45:39 -0300

pristine-tar (1.48) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.0, no changes needed.

  [ Kevin Locke ]
  * pristine-xz: Ensure args start with program name
  * pristine-xz: Use check_pixz_tar_index result. Fixes regression with
    .xz tarballs (Closes: #962354)

  [ Antonio Terceiro ]
  * regression-tests: skip properly if regression tests repo can't be cloned
  * autopkgtest: install ca-certificates to clone regression tests
  * regression-tests: actually fail on regressions
  * Add standard salsa-ci pipeline specification
  * salsa-ci: disable reprotest

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 20 Jun 2020 19:26:31 -0300

=== debian/tests/control ===
Tests: xdelta xdelta3 regression-tests
Depends: git, ca-certificates, moreutils, shunit2, @
Restrictions: skippable

## pristine-tar 1.50

=== debian/changelog ===
pristine-tar (1.50) unstable; urgency=medium

  [ Kevin Locke ]
  * Handle octal escapes in quoted paths
  * Use a single substitution to correctly unquote paths

  [ Matthew Vernon ]
  * Quote manifests and use tar --null (Closes: #1010024, #784635,
    #736201, #719078 )
  * Add a couple more test cases

 -- Matthew Vernon <matthew@debian.org>  Fri, 04 Nov 2022 11:23:44 +0000

## pristine-tar 1.50+nmu2

=== debian/changelog ===
pristine-tar (1.50+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Preoperly account -T parameter for xz. Thanks to Jia Tan for the hint.
    (Closes: #1065751).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 12 Mar 2024 08:05:49 +0100

pristine-tar (1.50+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Always set the -T parameter for xz (Closes: #1063252).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 25 Feb 2024 12:18:32 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                xdelta,
                xdelta3,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/pristine-tar
 Vcs-Git: https://salsa.debian.org/debian/pristine-tar.git
-Homepage: http://kitenet.net/~joey/code/pristine-tar/
+Homepage: https://kitenet.net/~joey/code/pristine-tar/
 
 Package: pristine-tar
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,3 @@
 
 override_dh_makeshlibs:
 	# only contains private libraries
-

## pristine-tar 1.50+nmu2build1

=== debian/changelog ===
pristine-tar (1.50+nmu2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:13:20 +1100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pristine-tar
-Maintainer: Tomasz Buchert <tomasz@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomasz Buchert <tomasz@debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>
 Section: utils
 Priority: optional

## pristine-tar 1.50+nmu2build2

=== debian/changelog ===
pristine-tar (1.50+nmu2build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 08 Jan 2026 20:08:59 +0000

## pristine-tar 1.50+nmu2ubuntu1

=== debian/changelog ===
pristine-tar (1.50+nmu2ubuntu1) resolute; urgency=medium

  * test/test_recompressh.sh.
    zlib compression on s390x with hardware acceleration
    does not always produce a result smaller than the original
    compression. Skip test until LP:2138882 is solved. 

 -- John Chittum <john.chittum@canonical.com>  Fri, 23 Jan 2026 08:40:22 -0500
